#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-20000, 20000, -20000>
    color White
}

#local CP = <+5000, +2500, -1000>;
light_source {
    CP
    color White*0.5
}
//camera {
//	location CP
//	look_at <-0, -0, -0>
//	orthographic
//	up <0, 4000, 0>
//	right <8000, 0, 0>
//}
camera {
        location CP
        look_at <-0, 900, -0>
}

#include "posbi.pov"

    object {
	posbi
    }

#declare gatter =
    union {
	#local I = -50;
	#while (I <= 50) 
	    #switch (mod(I, 10) )
	    #case (0)
		#local Color = color <0, 1, 0>;
		#local R = 0.2;
		#break;
	    #case (5)
	    #case (-5)
		#local Color = color <1, 0, 0>;
		#local R = 0.15;
		#break;
	    #else 
		#local Color = color <0, 0, 1>;
		#local R = 0.1;
	    #end
		    
	    cylinder {
		<I, -50, 0>, <I, +50, 0> R
		texture {pigment { color Color } }
	    }
	    cylinder {
		<-50, I, 0>, <+50, I, 0> R
		texture {pigment { color Color } }
	    }
	    #local I = I + 1;
	#end

    }

object {
    gatter 
    rotate <90, 0, 0>
    scale 100
}


