#include "ynkelonium_texture.pov"

#declare Traktorstrahler =
union {
    cone {
	<0, 0, 0>, 2
	<0, 0, 1>, 2
    }
    cone {
	<0, 0, 1>, 1.5
	<0, 0, 4>, 0.8
    }
    sphere {
	<0, 0, 4>, 1.0
    }
    union {
	union {
	    cone {
		<0, 0, 0>, 0.6
		<0, 0, 2>, 1.2
	    }
	    cone {
		<-1.5, 0, 1>, 0.2
		<-1.5, 0, 2>, 1.5
	    }
	    cone {
		<1.5, 0, 1>, 0.2
		<1.5, 0, 2>, 1.5
	    }
	    prism {
		linear_sweep
		linear_spline
		-1.5
		1.5
		5
		<-1.5, 2>, <1.5, 2>, <0.2, 1>, <-0.2, 1>, <-1.5, 2>
		rotate <0, 0, 90>
	    }
	}
	union {
	    cone {
		<-1.5, 0, 2>, 1.5
		<-1.5, 0, 2.2>, 1.5
	    }
	    cone {
		<1.5, 0, 2>, 1.5
		<1.5, 0, 2.2>, 1.5
	    }
	    prism {
		linear_sweep
		linear_spline
		-1.5,
		+1.5,
		5
		<-1.5, 2>, <1.5, 2>, <1.5, 2.2>, <-1.5, 2.2>, <-1.5, 2>
		rotate <0, 0, 90>
	    }
	    texture {
		T_BlackMetal
		finish { F_MetalA }
	    }
	}
	rotate <0, 0, -45>
	rotate <30, 0, 0>
	translate   <0, 0, 4>
    	
    }
    texture {
	Ynkelonium_Texture
	finish { F_MetalA }
    }
}
