#local R = 1300/2 * M;
#local H = 225 * M;
#local RS = 20 * M;

#declare stachel = 
    cone {
	<0, 0, 0>, RS,
	<0, H, 0>, 0
    }

#declare sporenschiff = 
    union {
    	sphere {
	    <0, 0, 0>, R
	}
	#local I = 0;
	#while (I < 32) 
	    object {
		stachel
		translate <0, R, 0>
		rotate <0, 0, 90>
		rotate <0, I * 360 / 32, 0>
	    }
	    #local J = 0;
	    #while (J < 32) 
		object {
		    stachel
		    translate <0, R, 0>
		    rotate <0, 0, I * 360 / 32>
		    rotate <0, J * 180 / 4, 0>
		}
		#local J = J + 1;
	    #end
	    #local I = I + 1;
	#end
	texture {
	    pigment {
		color <0.3, 0.3, 0.3>
	    }
	}
    }

