#include "colors.inc"
#include "textures.inc"
#include "metals.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.1, 0.1, 0.1>
        //ambient_light rgb<0, 0, 0>
	//radiosity {
	    //pretrace_end 0.02
	    //error_bound 1
	//}
}

light_source {
    <-2000, -3000, -200000>
    color White
}
camera {
        location <6000, 1000, -15000>
        look_at <0, 0, 0>
}

#if (1)
#declare Ringwulst_Triebwerk_An = -45;
#include "sol.pov"

object {
    Sol
    rotate <90, 0, 0>
}
#end


#declare galaxy_colour1 = <.2, .5, 1> * 3;
#declare galaxy_colour2 = <.3, .3, .5>;
//#declare galaxy_pattern_origin = x * -20;
#declare galaxy_object_name = "Galaxy2"
#declare galaxy_cluster_name = ""
#declare galaxy_distance = 100E3;
#declare galaxy_object_scale = .5;
#declare galaxy_object_flatten = .2;
#declare galaxy_object_position = <0, -0, 0>;
#include "GALAXY.OBJ"
#declare star_colour = 4.0;
#declare star_scale = 0.5;
#include "GALAXY.SF"

#debug concat ("\ngalaxy.x: ", str(min_extent(galaxy_object).x, 0, 0))
#debug concat ("\ngalaxy.y: ", str(min_extent(galaxy_object).y, 0, 0))
#debug concat ("\ngalaxy.z: ", str(min_extent(galaxy_object).z, 0, 0))
