#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "glass.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
light_source {
    <-200, 200, -200>
    color White
}
camera {
        location <-7, 4, -7>
        look_at <-0, 2, -0>
}

plane {
    <0, 1, 0>, 0
    pigment {
	checker color Red, color Blue
    }
}

sphere {
    <0, 2, 0>, 1.5
    texture {T_Winebottle_Glass}
}
